# Get DataStream Values

## Get Device DataStream Values

<mark style="color:blue;">`GET`</mark> `https://{server_address}/api/v1/organization/device/datastreams`

#### Query Parameters

| Name                                       | Type  | Description                                                           |
| ------------------------------------------ | ----- | --------------------------------------------------------------------- |
| deviceId<mark style="color:red;">\*</mark> | 1     | Device identifier. Should be a valid integer.                         |
| pins                                       | v1,v2 | Device pin values to include in response. All device pins by default. |

#### Headers

| Name                                            | Type                   | Description |
| ----------------------------------------------- | ---------------------- | ----------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer {access\_token} |             |

{% tabs %}
{% tab title="200: OK Device datastream values" %}

```json
{
    "v1": 1,
    "v2": "Some value",
    "v3": 1.223
}
```

{% endtab %}

{% tab title="404: Not Found Device is not found" %}

```json
{
    "error": {
        "message": "Device with identifier 1 is not found or belong to another organization."
    }
}
```

{% endtab %}
{% endtabs %}

Request examples:

```bash
# curl command example:
$ curl -H "Authorization: Bearer {accessToken}" https://fra1.blynk.cloud/api/v1/organization/device/datastreams?deviceId=1
$ curl -H "Authorization: Bearer eIdWHQqRfFmvP5LDDh-IGxPUzi7I27HthzCPAVmS" https://fra1.blynk.cloud/api/v1/organization/device/datastreams?deviceId=1
```
